<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_input_forward.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">InputForward Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_input_forward.html">InputForward</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_widget.html#ae14f638db13b018cc59b5b61e5e311a8">AddInputBuffer</a>(Widget *widget, int id)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#ae6d73c33036295d6f215e108bfb101e7">AddXmlChild</a>(std::string type)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"class="even"><td class="entry"><b>AppendLog</b>(char *ptr) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">Widget::Childs</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">IODevice::Childs</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#a1d447fddf5753dba0bb7cf057ab62a60">ClearXmlProps</a>(void)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_widget.html#ade3664cb78c6d419dad2edf36f95b093">Com</a>(void)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>DataToLog</b>() (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Widget::Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">IODevice::Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">Widget::ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">IODevice::ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_widget.html#ad924ad425a4d759e7e240b0d738e2704">FileNode</a>(void)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetOwnLogger</b>(void) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">Widget::GetTime</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">IODevice::GetTime</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"class="even"><td class="entry"><b>InputForward</b>(Widget *parent, io_data *data, std::string name) (defined in <a class="el" href="class_input_forward.html">InputForward</a>)</td><td class="entry"><a class="el" href="class_input_forward.html">InputForward</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>IODevice</b>(Object *parent, std::string name) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_widget.html#a012d30c854517c32624b8e6521e5fae1">isEnabled</a>(void)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>LogSize</b>(void) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Widget::Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">IODevice::Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">Widget::ObjectName</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">IODevice::ObjectName</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">Widget::ObjectType</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">IODevice::ObjectType</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">Widget::Parent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">IODevice::Parent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"class="even"><td class="entry"><b>PostLog</b>(file_socket *socket) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">Widget::Printf</a>(const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">IODevice::Printf</a>(const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#a6068bae68abf6d3d11de4db10d0a4903">PrintXml</a>(void)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"class="even"><td class="entry"><b>ProcessUpdate</b>(io_data *data) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">Widget::RootFrameworkManager</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">IODevice::RootFrameworkManager</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">Widget::RootParent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">IODevice::RootParent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#a4d1ec3587da07ee941bdb6b1f067b8bd">SendXml</a>(void)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"class="even"><td class="entry"><b>SetDataToLog</b>(io_data *data) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#a7e0be0e1c644a569fffe5a03880af117">setEnabled</a>(bool status)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_widget.html#abbbea3a6749c267547844b347fd71ef6">SetXmlProp</a>(std::string prop, std::string value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#aebff38bd81ddf78e2429a786b34f2755">SetXmlProp</a>(std::string prop, xmlChar *value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_widget.html#a90a0d549ba4b1b7e481af845b40228a9">SetXmlProp</a>(std::string prop, double value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">Widget::TypeChilds</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">IODevice::TypeChilds</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Widget::Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">IODevice::Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#a92227be425c28c8a90a237387a45917f">Widget</a>(Widget *parent, std::string name, std::string type)</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"class="even"><td class="entry"><b>~InputForward</b>() (defined in <a class="el" href="class_input_forward.html">InputForward</a>)</td><td class="entry"><a class="el" href="class_input_forward.html">InputForward</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~IODevice</b>() (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#ae8f5483f459e46687bd01e6f9977afd3">~Object</a>()</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_widget.html#aa24f66bcbaaec6d458b0980e8c8eae65">~Widget</a>()</td><td class="entry"><a class="el" href="class_widget.html">Widget</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Sun Dec 15 2013 23:57:58 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.1.2 </li>
  </ul>
</div>
</body>
</html>
